Rensei docs
API ReferenceWorker Protocol

List daemon mutation history for a host

List daemon mutation history for a host - Rensei REST API operation reference.

GET
/api/daemon/mutations

Authorization

rsk_Bearer
headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Query Parameters

workerHostId*string

Worker host ID (must belong to the caller's org).

limit?integer
Range1 <= value <= 500
Default100

Response Body

Mutation history.

application/json
  1. response
mutations*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/daemon/mutations?workerHostId=string'
Example Response
{  "mutations": [    {      "id": "string",      "orgId": "string",      "workerHostId": "string",      "op": "project.add",      "params": {},      "status": "pending",      "requestedBy": "string",      "deliveredAt": "2019-08-24T14:15:22Z",      "cancelledAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}